Page MenuHomePhabricator

Create a Wikidata tour about Coordinates
Closed, ResolvedPublic

Description

Working tour here https://www.wikidata.org/w/index.php?title=Q17339402&tour=wbcoordinates


LIVE
Live tour: https://www.wikidata.org/w/index.php?title=Q85408938&tour=wbcoordinates
Live wiki page: https://www.wikidata.org/wiki/Wikidata:Tours/Coordinates#Add_coordinate_location_property
Live JS page: https://www.wikidata.org/wiki/MediaWiki:Guidedtour-tour-wbcoordinates.js
Base item: Q85408938

TEST
Test tour: https://test.wikidata.org/w/index.php?title=Q211932&tour=wbcoordinates
Test wiki page: https://test.wikidata.org/wiki/User:NavinoEvans/tours/coordinates
Test JavaScript page: https://test.wikidata.org/wiki/MediaWiki:Guidedtour-tour-wbcoordinates.js


Issues:

  • T244747: Wikidata Tours: Stepping back shows next and previous steps at once
  • The tour allows you continue without doing the actions meaning that the box just floats in the middle of the screen and doesn't relate to what is on the screen (remove forward button for these steps?)
  • The above 2 issues are fixed in a separate test version of the tour library, but the changes are not live (see T244994 for details)
  • When the users publishes the statement it stays on the item meaning the next person who uses the tour cant add the statement because its already on the item
  • This problem occurs if you leave data=ok in the url. Using the URL without this clears the data, then adds data=ok to the URL when all done.
  • The item is a random item and doesn't include the correct label
  • This can be fixed by adding a labels property to the newData object in the JavaScript file for the tour (same for descriptions), as shown in the JavaScript file for the coordinates tour

Related Objects

Event Timeline

Mrjohncummings added a subscriber: NavinoEvans.

@NavinoEvans the steps after 'Add a statement' don't attach to the right place, they are just floating

@Alicia_Fagerving_WMSE I'm trying to split the Wikidata Tours page into a section for 'basics' and a section for 'tasks' but the coding is making me very sad, can you please make it do the thing? Here's my draft, I want to make the 'tasks' section appear before the grey box

https://www.wikidata.org/wiki/User:John_Cummings/items_page

Mrjohncummings updated the task description. (Show Details)
Mrjohncummings updated the task description. (Show Details)
Mrjohncummings renamed this task from Create a WIkidata tour about Coordinates to Create a Wikidata tour about Coordinates.Feb 5 2020, 11:57 PM
Mrjohncummings updated the task description. (Show Details)
Mrjohncummings updated the task description. (Show Details)

@NavinoEvans I've unfortunately discovered some bugs and weird happenings... see the to do list... oh dear

@Alicia_Fagerving_WMSE I'm trying to split the Wikidata Tours page into a section for 'basics' and a section for 'tasks' but the coding is making me very sad, can you please make it do the thing? Here's my draft, I want to make the 'tasks' section appear before the grey box

https://www.wikidata.org/wiki/User:John_Cummings/items_page

For the record, a less horrible version is in https://www.wikidata.org/w/index.php?title=User:Alicia_Fagerving_(WMSE)/Sand_box&oldid=1110673267

Pasleim updated the task description. (Show Details)Feb 7 2020, 6:37 AM
Pasleim added a subscriber: Pasleim.
NavinoEvans updated the task description. (Show Details)Feb 10 2020, 2:24 PM
NavinoEvans updated the task description. (Show Details)Feb 10 2020, 3:19 PM
NavinoEvans updated the task description. (Show Details)Feb 12 2020, 1:11 PM
Mrjohncummings updated the task description. (Show Details)
NavinoEvans updated the task description. (Show Details)Feb 15 2020, 12:37 PM
NavinoEvans updated the task description. (Show Details)Feb 15 2020, 12:43 PM
NavinoEvans updated the task description. (Show Details)Feb 15 2020, 5:03 PM
NavinoEvans updated the task description. (Show Details)Feb 17 2020, 2:06 PM
NavinoEvans updated the task description. (Show Details)Mar 6 2020, 1:12 PM
Jopparn closed this task as Resolved.Apr 21 2020, 1:51 PM
Jopparn claimed this task.